/*
██╗  ██╗ █████╗ ██╗   ██╗███████╗███╗   ██╗    ███╗   ███╗ ██████╗ ██████╗ ██████╗  █████╗  ██████╗██╗  ██╗███████╗
██║  ██║██╔══██╗██║   ██║██╔════╝████╗  ██║    ████╗ ████║██╔═══██╗██╔══██╗██╔══██╗██╔══██╗██╔════╝██║ ██╔╝██╔════╝
███████║███████║██║   ██║█████╗  ██╔██╗ ██║    ██╔████╔██║██║   ██║██║  ██║██████╔╝███████║██║     █████╔╝ ███████╗
██╔══██║██╔══██║╚██╗ ██╔╝██╔══╝  ██║╚██╗██║    ██║╚██╔╝██║██║   ██║██║  ██║██╔═══╝ ██╔══██║██║     ██╔═██╗ ╚════██║
██║  ██║██║  ██║ ╚████╔╝ ███████╗██║ ╚████║    ██║ ╚═╝ ██║╚██████╔╝██████╔╝██║     ██║  ██║╚██████╗██║  ██╗███████║
╚═╝  ╚═╝╚═╝  ╚═╝  ╚═══╝  ╚══════╝╚═╝  ╚═══╝    ╚═╝     ╚═╝ ╚═════╝ ╚═════╝ ╚═╝     ╚═╝  ╚═╝ ╚═════╝╚═╝  ╚═╝╚══════╝
*/
ServerEvents.tags('item', t => 
  {
    t.add('haven:coal_blocks',[
      'minecraft:coal_block',
      'mekanism:block_charcoal' 
    ])

    t.add('rftools:crafter', [
      'rftoolsutility:crafter1',
      'rftoolsutility:crafter2',
      'rftoolsutility:crafter3'
    ])
    
    t.add('rftools:powercell', [
      'rftoolspower:cell1',
      'rftoolspower:cell2',
      'rftoolspower:cell3'
    ])
    
    t.add('rftools:dimensionalcell', [
      'rftoolspower:dimensionalcell',
      'rftoolspower:dimensionalcell_simple',
      'rftoolspower:dimensionalcell_advanced'
    ])

    t.add('haven:barrels/wooden', 'sophisticatedstorage:barrel')
    t.add('haven:limited_barrels_1/wooden', 'sophisticatedstorage:limited_barrel_1')
    t.add('haven:limited_barrels_2/wooden', 'sophisticatedstorage:limited_barrel_2')
    t.add('haven:limited_barrels_3/wooden', 'sophisticatedstorage:limited_barrel_3')
    t.add('haven:limited_barrels_4/wooden', 'sophisticatedstorage:limited_barrel_4')
    t.add('haven:chests/wooden', 'sophisticatedstorage:chest')
    t.add('haven:shulker_box', 'sophisticatedstorage:shulker_box')

    t.add('haven:barrels/copper', 'sophisticatedstorage:copper_barrel')
    t.add('haven:limited_barrels_1/copper', 'sophisticatedstorage:limited_copper_barrel_1')
    t.add('haven:limited_barrels_2/copper', 'sophisticatedstorage:limited_copper_barrel_2')
    t.add('haven:limited_barrels_3/copper', 'sophisticatedstorage:limited_copper_barrel_3')
    t.add('haven:limited_barrels_4/copper', 'sophisticatedstorage:limited_copper_barrel_4')
    t.add('haven:chests/copper', 'sophisticatedstorage:copper_chest')
    t.add('haven:shulker_boxes/copper', 'sophisticatedstorage:copper_shulker_box')
    
    t.add('haven:barrels/iron', 'sophisticatedstorage:iron_barrel')
    t.add('haven:limited_barrels_1/iron', 'sophisticatedstorage:limited_iron_barrel_1')
    t.add('haven:limited_barrels_2/iron', 'sophisticatedstorage:limited_iron_barrel_2')
    t.add('haven:limited_barrels_3/iron', 'sophisticatedstorage:limited_iron_barrel_3')
    t.add('haven:limited_barrels_4/iron', 'sophisticatedstorage:limited_iron_barrel_4')
    t.add('haven:chests/iron', 'sophisticatedstorage:iron_chest')
    t.add('haven:shulker_boxes/iron', 'sophisticatedstorage:iron_shulker_box')
    
    t.add('haven:barrels/gold', 'sophisticatedstorage:gold_barrel')
    t.add('haven:limited_barrels_1/gold', 'sophisticatedstorage:limited_gold_barrel_1')
    t.add('haven:limited_barrels_2/gold', 'sophisticatedstorage:limited_gold_barrel_2')
    t.add('haven:limited_barrels_3/gold', 'sophisticatedstorage:limited_gold_barrel_3')
    t.add('haven:limited_barrels_4/gold', 'sophisticatedstorage:limited_gold_barrel_4')
    t.add('haven:chests/gold', 'sophisticatedstorage:gold_chest')
    t.add('haven:shulker_boxes/gold', 'sophisticatedstorage:gold_shulker_box')
    
    t.add('haven:barrels/diamond', 'sophisticatedstorage:diamond_barrel')
    t.add('haven:limited_barrels_1/diamond', 'sophisticatedstorage:limited_diamond_barrel_1')
    t.add('haven:limited_barrels_2/diamond', 'sophisticatedstorage:limited_diamond_barrel_2')
    t.add('haven:limited_barrels_3/diamond', 'sophisticatedstorage:limited_diamond_barrel_3')
    t.add('haven:limited_barrels_4/diamond', 'sophisticatedstorage:limited_diamond_barrel_4')
    t.add('haven:chests/diamond', 'sophisticatedstorage:diamond_chest')
    t.add('haven:shulker_boxes/diamond', 'sophisticatedstorage:diamond_shulker_box')
    
    t.add('haven:barrels/netherite', 'sophisticatedstorage:netherite_barrel')
    t.add('haven:limited_barrels_1/netherite', 'sophisticatedstorage:limited_netherite_barrel_1')
    t.add('haven:limited_barrels_2/netherite', 'sophisticatedstorage:limited_netherite_barrel_2')
    t.add('haven:limited_barrels_3/netherite', 'sophisticatedstorage:limited_netherite_barrel_3')
    t.add('haven:limited_barrels_4/netherite', 'sophisticatedstorage:limited_netherite_barrel_4')
    t.add('haven:chests/netherite', 'sophisticatedstorage:netherite_chest')
    t.add('haven:shulker_boxes/netherite', 'sophisticatedstorage:netherite_shulker_box')

    var drawer1x1 =[
      'functionalstorage:oak_1',
      'functionalstorage:spruce_1',
      'functionalstorage:birch_1',
      'functionalstorage:jungle_1',
      'functionalstorage:acacia_1',
      'functionalstorage:dark_oak_1',
      'functionalstorage:crimson_1',
      'functionalstorage:warped_1',
      'functionalstorage:mangrove_1',
      'functionalstorage:cherry_1'
    ]
    t.get('functionalstorage:drawers/1x1').add(drawer1x1)
    var drawer1x2 =[
      'functionalstorage:oak_2',
      'functionalstorage:spruce_2',
      'functionalstorage:birch_2',
      'functionalstorage:jungle_2',
      'functionalstorage:acacia_2',
      'functionalstorage:dark_oak_2',
      'functionalstorage:crimson_2',
      'functionalstorage:warped_2',
      'functionalstorage:mangrove_2',
      'functionalstorage:cherry_2'
    ]
    t.get('functionalstorage:drawers/1x2').add(drawer1x2)
    var drawer2x2 =[
      'functionalstorage:oak_4',
      'functionalstorage:spruce_4',
      'functionalstorage:birch_4',
      'functionalstorage:jungle_4',
      'functionalstorage:acacia_4',
      'functionalstorage:dark_oak_4',
      'functionalstorage:crimson_4',
      'functionalstorage:warped_4',
      'functionalstorage:mangrove_4',
      'functionalstorage:cherry_4'
    ]
    t.get('functionalstorage:drawers/2x2').add(drawer2x2)
  })
  